package org.ntlab.radishforandroidstudio.framework.physics;

import org.ntlab.radishforandroidstudio.framework.model3D.Movable;
import org.ntlab.radishforandroidstudio.framework.model3D.Placeable;

import java.util.ArrayList;

public interface Collidable extends Movable {
    public void addCollidable(ArrayList<Placeable> pList);
    public void onCollisionEnter(Placeable p);//触れたとき
    public void onCollisionStay(Placeable p);//触れている間
    public void onCollisionExit(Placeable p);//触れるのをやめたとき
}
